Upgraded i18n dependency and fixed options passed to translate #47

Merged
merged 1 commit into from Dec 26, 2011

Projects

None yet

3 participants

@trshafer

Hey Stympy,

The argument for raising an error being passed to I18n.translate are no longer supported. The test was not catching the error because a different exception than TranslationMissing was being raised. We reduced the rescue to only respond to MissingTranslation exception, which would be saved by the :en translation. We updated the gemspec accordingly to reflect the new dependency on I18n version 0.5.0

The documentation for the exception option is here:
http://guides.rubyonrails.org/i18n.html#using-different-exception-handlers

Alain Bloch and Thomas Shafer upgraded i18n dependency to 0.5 because the options for raising an ex…
…ception have changed from :throw to :raise.
8b7965b
@stympy stympy merged commit 684bdbb into stympy:master Dec 26, 2011
@gareth
gareth commented Feb 10, 2012

Hi,

Is this dependency definitely the correct one? For me, faker-1.0.1 fails test_locale.rb with i18n-0.5.0 installed, but passes with i18n-0.6.0

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment